### Function

# GLib ref_string_release

since: 2.58

#### Declaration [src]

    void
    g_ref_string_release (
      char* str
    )

#### Description [src]

Releases a reference on a string; if it was the last reference, the resources allocated by the string are freed as well.

Available since: 2.58

#### Parameters

`str`

  Type: `char*`

  A reference counted string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.